org.eclipse.gef.common.adapt.inject

## Enum AdapterInjectionSupport.LoggingMode

- java.lang.Object
- - java.lang.Enum<AdapterInjectionSupport.LoggingMode>
  - - org.eclipse.gef.common.adapt.inject.AdapterInjectionSupport.LoggingMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AdapterInjectionSupport.LoggingMode>

Enclosing class:
  AdapterInjectionSupport

    public static enum AdapterInjectionSupport.LoggingMode
    extends java.lang.Enum<AdapterInjectionSupport.LoggingMode>

The `AdapterInjectionSupport.LoggingMode` specifies if binding-related information and warning messages should be printed.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEVELOPMENT` In `DEVELOPMENT` mode, all information, warning, and error messages are printed.
`PRODUCTION` In `PRODUCTION` mode, only error messages are printed, and information or warning messages are suppressed.

### Method Summary

All Methods Static Methods Concrete Methods
`static AdapterInjectionSupport.LoggingMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AdapterInjectionSupport.LoggingMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEVELOPMENT

    public static final AdapterInjectionSupport.LoggingMode DEVELOPMENT

In `DEVELOPMENT` mode, all information, warning, and error messages are printed.

#### PRODUCTION

    public static final AdapterInjectionSupport.LoggingMode PRODUCTION

In `PRODUCTION` mode, only error messages are printed, and information or warning messages are suppressed.

### Method Detail

#### values

    public static AdapterInjectionSupport.LoggingMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AdapterInjectionSupport.LoggingMode c : AdapterInjectionSupport.LoggingMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AdapterInjectionSupport.LoggingMode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null